ubuntu/+source/openssl:applied/ubuntu/intrepid

Last commit made on 2008-07-25
Get this branch:
git clone -b applied/ubuntu/intrepid https://git.launchpad.net/ubuntu/+source/openssl
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/intrepid
Repository:
lp:ubuntu/+source/openssl

Recent commits

54771f3... by Ante Karamatić on 2008-07-24

Import patches-applied version 0.9.8g-10.1ubuntu2 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: ec71d35554293f9a0e2b83d266a3694e74a3bd60
Unapplied parent: f17aa4854fc1de3bbc4eb834ca31ffa24470bfd0

New changelog entries:
  * debian/rules:
    - disable SSLv2 during compile
  * debian/README.debian
    - add note about disabled SSLv2 in Ubuntu

f17aa48... by Ante Karamatić on 2008-07-24

Import patches-unapplied version 0.9.8g-10.1ubuntu2 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: d97c50a90d78dea1efdf3dafcd4f3cb704127c5d

New changelog entries:
  * debian/rules:
    - disable SSLv2 during compile
  * debian/README.debian
    - add note about disabled SSLv2 in Ubuntu

ec71d35... by Luke Yelavich on 2008-06-10

Import patches-applied version 0.9.8g-10.1ubuntu1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 3ac9d981313f05fbb05390e64b4dd300d6eeb553
Unapplied parent: d97c50a90d78dea1efdf3dafcd4f3cb704127c5d

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Use a different priority for libssl0.9.8/restart-services depending on whether
      a desktop, or server dist-upgrade is being performed.
    - Display a system restart required notification bubble on libssl0.9.8 upgrade.
    - Ship documentation in new openssl-doc package.
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.
    - Link using -Bsymbolic-functions.
    - Update maintainer as per spec.
  * Non-maintainer upload by the Security team.
  * Fix denial of service if the 'Server Key exchange message'
    is omitted from a TLS handshake which could lead to a client
    crash (CVE-2008-1672; Closes: #483379).
    This only works if openssl is compiled with enable-tlsext which is
    done in Debian.
  * Fix double free in TLS server name extension which leads to a remote
    denial of service (CVE-2008-0891; Closes: #483379).

d97c50a... by Luke Yelavich on 2008-06-10

Import patches-unapplied version 0.9.8g-10.1ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 3e9dd59686410fd75c248d86a5bd04d9cce2b481

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Use a different priority for libssl0.9.8/restart-services depending on whether
      a desktop, or server dist-upgrade is being performed.
    - Display a system restart required notification bubble on libssl0.9.8 upgrade.
    - Ship documentation in new openssl-doc package.
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.
    - Link using -Bsymbolic-functions.
    - Update maintainer as per spec.
  * Non-maintainer upload by the Security team.
  * Fix denial of service if the 'Server Key exchange message'
    is omitted from a TLS handshake which could lead to a client
    crash (CVE-2008-1672; Closes: #483379).
    This only works if openssl is compiled with enable-tlsext which is
    done in Debian.
  * Fix double free in TLS server name extension which leads to a remote
    denial of service (CVE-2008-0891; Closes: #483379).

3ac9d98... by Luke Yelavich on 2008-05-12

Import patches-applied version 0.9.8g-10ubuntu1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 6ce99d246562feb704a82909c35bed367deb0eb8
Unapplied parent: 3e9dd59686410fd75c248d86a5bd04d9cce2b481

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Use a different priority for libssl0.9.8/restart-services depending on whether
      a desktop, or server dist-upgrade is being performed.
    - Display a system restart required notification bubble on libssl0.9.8 upgrade.
    - Ship documentation in new openssl-doc package.
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.
    - Link using -Bsymbolic-functions.
    - Update maintainer as per spec.
  * undefine HZ so that the code falls back to sysconf(_SC_CLK_TCK)
    to fix a build failure on alpha.
  [ Christoph Martin ]
  * Include updated debconf translations (closes: #473477, #461597,
    #461880, #462011, #465517, #475439)
  [ Kurt Roeckx ]
  * ssleay_rand_add() really needs to call MD_Update() for buf.

3e9dd59... by Luke Yelavich on 2008-05-12

Import patches-unapplied version 0.9.8g-10ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 74aa2f41d1780e5e422cd30d8231578a06d745ac

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Use a different priority for libssl0.9.8/restart-services depending on whether
      a desktop, or server dist-upgrade is being performed.
    - Display a system restart required notification bubble on libssl0.9.8 upgrade.
    - Ship documentation in new openssl-doc package.
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.
    - Link using -Bsymbolic-functions.
    - Update maintainer as per spec.
  * undefine HZ so that the code falls back to sysconf(_SC_CLK_TCK)
    to fix a build failure on alpha.
  [ Christoph Martin ]
  * Include updated debconf translations (closes: #473477, #461597,
    #461880, #462011, #465517, #475439)
  [ Kurt Roeckx ]
  * ssleay_rand_add() really needs to call MD_Update() for buf.

6ce99d2... by Luke Yelavich on 2008-05-12

Import patches-applied version 0.9.8g-8ubuntu1 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 3f1050f705b789d79325e60e338864137280092b
Unapplied parent: 74aa2f41d1780e5e422cd30d8231578a06d745ac

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Use a different priority for libssl0.9.8/restart-services depending on whether
      a desktop, or server dist-upgrade is being performed.
    - Display a system restart required notification bubble on libssl0.9.8 upgrade.
    - Ship documentation in new openssl-doc package.
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.
    - Link using -Bsymbolic-functions.
    - Update maintainer as per spec.
  * Don't add extentions to ssl v3 connections. It breaks with some
    other software. (Closes: #471681)
  * Upload to unstable.
  * Bump shlibs.
  * Enable tlsext. This changes the ABI, but should hopefully
    not cause any problems. (Closes: #462596)

74aa2f4... by Luke Yelavich on 2008-05-12

Import patches-unapplied version 0.9.8g-8ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 25bfffef091ccb266a37cb684441da62f9432d9d

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Use a different priority for libssl0.9.8/restart-services depending on whether
      a desktop, or server dist-upgrade is being performed.
    - Display a system restart required notification bubble on libssl0.9.8 upgrade.
    - Ship documentation in new openssl-doc package.
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.
    - Link using -Bsymbolic-functions.
    - Update maintainer as per spec.
  * Don't add extentions to ssl v3 connections. It breaks with some
    other software. (Closes: #471681)
  * Upload to unstable.
  * Bump shlibs.
  * Enable tlsext. This changes the ABI, but should hopefully
    not cause any problems. (Closes: #462596)

3f1050f... by Luke Yelavich on 2008-04-22

Import patches-applied version 0.9.8g-4ubuntu3 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: dc1257a8b7530a7318522645ef744d1ead1cae0c
Unapplied parent: 25bfffef091ccb266a37cb684441da62f9432d9d

New changelog entries:
  * Use a different priority for libssl0.9.8/restart-services depending on whether
    a desktop, or server dist-upgrade is being performed. (LP: #91814)
  * Display a system restart required notification bubble on libssl0.9.8 upgrade.

25bfffe... by Luke Yelavich on 2008-04-22

Import patches-unapplied version 0.9.8g-4ubuntu3 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 47340de722ffb33bc20f48e1ff8786a7a2d61f02

New changelog entries:
  * Use a different priority for libssl0.9.8/restart-services depending on whether
    a desktop, or server dist-upgrade is being performed. (LP: #91814)
  * Display a system restart required notification bubble on libssl0.9.8 upgrade.